<?xml version='1.0' encoding='ISO-8859-1'?>
<al:cookbook xmlns:al='http://www.logilab.org/namespaces/Narval/1.2'>

<!--
<al:recipe name="actions-docbook-documentation">
  <al:description lang="en">generate docbook xml documentation for actions</al:description>
  <al:step target="Autodoc.filter-actions" type="action" id="s0"/>
  <al:step target="Autodoc.document-actions" type="action" id="s1"/>
  <al:step target="Basic.write-file" type="action" id="s2"/>
  <al:transition id="t0">
    <al:in idref="s0"/>
    <al:out idref="s1"/>
  </al:transition>
  <al:transition id="t1">
    <al:in idref="s1"/>
    <al:out idref="s2"/>
  </al:transition>
</al:recipe>

<al:recipe name="recipes-docbook-documentation">
  <al:description lang="en">generate docbook xml documentation for recipes</al:description>
  <al:step target="Autodoc.filter-recipes" type="action" id="s0"/>
  <al:step target="Autodoc.document-recipes" type="action" id="s1"/>
  <al:step target="Basic.write-file" type="action" id="s2"/>
  <al:transition id="t0">
    <al:in idref="s0"/>
    <al:out idref="s1"/>
  </al:transition>
  <al:transition id="t1">
    <al:in idref="s1"/>
    <al:out idref="s2"/>
  </al:transition>
</al:recipe>
-->

<al:recipe name="docbook-documentation">
  <al:description lang="en">generate docbook xml documentation for selected recipes/actions</al:description>
  <al:step id="s0" target="Autodoc.command2autodocconfig" type="action"/>
  <al:step id="s1" target="Autodoc.document-elements" type="action"/>
  <al:step id="s2" target="Basic.write-file" type="action" foreach="input"/>
  <al:transition id="t0">
    <al:in idref="s0"/>
    <al:out idref="s1"/>
  </al:transition>
  <al:transition id="t1">
    <al:in idref="s1"/>
    <al:out idref="s2"/>
  </al:transition>
</al:recipe>

</al:cookbook>